Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Jubula » RCP Application is NOT recognized with 2.0.1
RCP Application is NOT recognized with 2.0.1 [message #1138993] Tue, 15 October 2013 13:14 Go to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi,

I am trying to upgrade my jubula from 1.3 to 2.0.1

Now the RCP client is got getting recognized in new Jubula

I have performed all the steps required.

When ran with autrun.exe I am getting following error

Can you please help

AUT:org.osgi.framework.BundleException: The bundle "org.eclipse.jubula.rc.rcp.e4_2.1.0.201307171129 [492]" could not be resolved. Reason: Missing Constraint
: Require-Bundle: org.eclipse.e4.ui.workbench; bundle-version="[0.10.2,2.0.0)"
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:300)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:292)
AUT:    at org.eclipse.jubula.rc.rcp.installer.BundleInstaller.startBundles(BundleInstaller.java:178)
AUT:    at org.eclipse.jubula.rc.rcp.installer.BundleInstaller.start(BundleInstaller.java:64)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
AUT:    at java.security.AccessController.doPrivileged(Native Method)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
AUT:    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
AUT:    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
AUT:    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
AUT:2770 18:34:02.412 [Start Level Event Dispatcher] WARN  ***.****.services.client.http.HTTPServiceClient - This client application does not support
 server feature '****.*******.*****.*****.api.services.IRouteDeploymentService'; please update your client application.



Appreciate for your help

Thanks,
Bhupendra


Re: RCP Application is NOT recognized with 2.0.1 [message #1139086 is a reply to message #1138993] Tue, 15 October 2013 14:26 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi,

Sounds like it could be this error:
https://bxapps.bredex.de/bugzilla/show_bug.cgi?id=1055

Does that help?
Best regards,
Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1141664 is a reply to message #1139086] Thu, 17 October 2013 05:57 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141665 is a reply to message #1139086] Thu, 17 October 2013 05:58 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141668 is a reply to message #1138993] Thu, 17 October 2013 06:00 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141674 is a reply to message #1139086] Thu, 17 October 2013 06:03 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141712 is a reply to message #1139086] Thu, 17 October 2013 06:33 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141745 is a reply to message #1139086] Thu, 17 October 2013 06:54 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141808 is a reply to message #1139086] Thu, 17 October 2013 07:46 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141809 is a reply to message #1139086] Thu, 17 October 2013 07:50 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1141848 is a reply to message #1139086] Thu, 17 October 2013 08:21 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
test
Re: RCP Application is NOT recognized with 2.0.1 [message #1141854 is a reply to message #1139086] Thu, 17 October 2013 08:26 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1142113 is a reply to message #1139086] Thu, 17 October 2013 11:57 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
There was also another forum entry about this here:
http://www.eclipse.org/forums/index.php/t/514410/
Re: RCP Application is NOT recognized with 2.0.1 [message #1142185 is a reply to message #1139086] Thu, 17 October 2013 12:58 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Looks like the bug fix is not available yet to general public, is there any workaround for this ?

Also note that I am using autrun.exe to find out if there are any issues with starting the Jubula RCP plugin

My original problem is that my RCP client is not getting recognized by jubula

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1142234 is a reply to message #1141809] Thu, 17 October 2013 13:34 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi, the bugfix has just been released - I've also been trying to post in the forum Wink

If the RCP application isn't being recognized, then it sounds like you've not migrated correctly. There's the full set of steps in the installation manual, it sounds like it could either be the RCP accessor or the AUT Agent that hasn't been updated.

HTH,
Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1143392 is a reply to message #1142234] Fri, 18 October 2013 06:42 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,
I have followed the migration steps as mentioned in the manual.

But still unable to recognize the RCP client. Am downloading 7.2, lets hope it works

Will keep you updating.

Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1143595 is a reply to message #1143392] Fri, 18 October 2013 09:43 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Tried with 7.2, still facing the same issue "Jubula is unable to recognize the RCP client"

When ran with autrun.exe got the same error


AUT:org.osgi.framework.BundleException: The bundle "org.eclipse.jubula.rc.rcp.e4_2.2.0.201310100933 [491]" could not be resolved. Reason: Missing Constraint
: Require-Bundle: org.eclipse.e4.ui.workbench; bundle-version="[0.10.2,2.0.0)"
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1332)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1316)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:323)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:300)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.start(AbstractBundle.java:292)
AUT:    at org.eclipse.jubula.rc.rcp.installer.BundleInstaller.startBundles(BundleInstaller.java:178)
AUT:    at org.eclipse.jubula.rc.rcp.installer.BundleInstaller.start(BundleInstaller.java:64)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
AUT:    at java.security.AccessController.doPrivileged(Native Method)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
AUT:    at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:381)
AUT:    at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:390)
AUT:    at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1176)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:559)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:544)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:457)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:438)
AUT:    at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:1)
AUT:    at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
AUT:    at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)
AUT:2489 15:10:05.228 [Start Level Event Dispatcher] WARN  ***.*****.services.client.http.HTTPServiceClient - This client application does not support
 server feature '****.*****.messaging.orchestration.api.services.IRouteDeploymentService'; please update your client application.



Is there any other Jar needs to be copied over the plugins of the RCP client than "org.eclipse.jubula.rc.rcp_2.2.0.201310100933.jar"

Appreciate, if you could help further

Thanks,
Bhupendra

[Updated on: Fri, 18 October 2013 09:45]

Report message to a moderator

Re: RCP Application is NOT recognized with 2.0.1 [message #1143780 is a reply to message #1143595] Fri, 18 October 2013 12:20 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi,

There are no other plugins, no, but there are more steps as documented here.

Best regards,
Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1147981 is a reply to message #1143780] Mon, 21 October 2013 07:11 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Is there any way wherein I could download this bundle ?

Quote:
org.eclipse.e4.ui.workbench; bundle-version="[0.10.2,2.0.0)



Thanks,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1149523 is a reply to message #1147981] Tue, 22 October 2013 06:20 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi,

You shouldn't actually need to add anything else, so I'm wondering what's happening here. What type of version of Eclipse does the application use? And, (I'm sorry to ask this, but I have to be sure Wink ) - are you sure that you've followed all the steps from both the migration guide (in the installation manual) and the information on starting RCP AUTs? It might be worth checking whether the rc-rcp plugin is added in the correct version, and that it is correctly being started by your AUT. If not, there is information in the section I linked earlier on adding the bundle as a part of the build process.

Best regards,
Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1151338 is a reply to message #1149523] Wed, 23 October 2013 09:26 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

I have followed the migration steps, let me reiterate it over here
- Take export of all the modules using Jubula 1.3
- Uninstall Jubula 1.3
- Restart the machine
- Install Jubula 7.2
- Copy the jubula rcp plugin in AUT / Start it once with -clean option
- Drop the jubula user/database
- Create a new Jubula user with the required privileges
- Connect to the user using Jubula 7.2
- Import all the export files
- Start AUT from Jubula

Post above, AUT is NOT recognized; so tried using autrun.exe which gives above mentioned error

I have tried above steps on both 32/64 bit windows

I am not sure about, how do I check below (as my RCP client doesn't have any plugin menu Help->About)

Quote:
It might be worth checking whether the rc-rcp plugin is added in the correct version, and that it is correctly being started by your AUT


If you can suggest any other way to check above, I could try it

Thanks for your patience on following up my query Smile

Best Regards,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1151360 is a reply to message #1151338] Wed, 23 October 2013 09:42 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi Bhupendra,

Thanks for the details. I'm missing anything about the AUT Agent - did you update that too?

Best regards,
Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1151427 is a reply to message #1151360] Wed, 23 October 2013 10:45 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Quote:
AUT Agent


Using the AUT agent which came with the 7.2 installation

Regards,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1151444 is a reply to message #1151427] Wed, 23 October 2013 10:57 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Thanks. And which Eclipse version are you using for your AUT?
Re: RCP Application is NOT recognized with 2.0.1 [message #1151698 is a reply to message #1151444] Wed, 23 October 2013 14:39 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Well that's a tricky one.

How can I find that which eclipse version my RCP client is using ?

Regards,
Bhupendra

Re: RCP Application is NOT recognized with 2.0.1 [message #1153173 is a reply to message #1151698] Thu, 24 October 2013 12:30 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi Bhupendra,

To find out what version you're using, and whether the plugin is being loaded, you may need to grab a developer since you have no help about dialog.

When we start the RCP Accessor, we use the presence of specific plugins to determine whether the AUT is a 3.x or 4.x AUT, and whether it is running in compatibility mode or not. The error message you're getting sounds like there may be some plugins in your application that lead us to believe that it is e4, but it actually isn't (or it is and specific bundles are missing). This could happen if the AUT has been built / started directly from the IDE and extra plugins have been included.

See what you can find out with a developer and keep us posted.

Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1153241 is a reply to message #1153173] Thu, 24 October 2013 13:25 Go to previous messageGo to next message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
So, some more info from one of the developers:

When the RCP accessor is started, we check whether the following bundle is present:
org.eclipse.e4.core.services

If it is, then the accessor is started as the e4 variant (with or without compat layer mode). If the bundle is not there, then we assume that the AUT is e3.

If our suspicion is correct, then your AUT contains this bundle even though it is not an e4 AUT.

Let us know,
Alex
Re: RCP Application is NOT recognized with 2.0.1 [message #1154416 is a reply to message #1153241] Fri, 25 October 2013 07:22 Go to previous messageGo to next message
Bhupendra Mahajan is currently offline Bhupendra MahajanFriend
Messages: 33
Registered: September 2013
Member
Hi Alex,

Thanks for the helping hand, I will certainly check with Dev

But I will be curios to know, that why the AUT gets recognized in Jubula 1.3 and not in 7.2 (AUT is same)

As the only change is the Jubula in this situation, I suspect there might be something in the Jubula rcp jar which is causing this issue.

Will you be able to check with any Jubula developers ?

Thanks and appreciate for your time.

Regards,
Bhupendra
Re: RCP Application is NOT recognized with 2.0.1 [message #1154426 is a reply to message #1154416] Fri, 25 October 2013 07:27 Go to previous message
Alexandra Schladebeck is currently offline Alexandra SchladebeckFriend
Messages: 1193
Registered: July 2009
Senior Member
Hi Bhupendra,

between 1.3 and 7.2 we added support for e4 AUTs. Before that there was no need to check whether the AUT was e3 or e4.

Alex
Previous Topic:Jubula and GUIdancer Version 7.2 released
Next Topic:track user who create/change an testcase
Goto Forum:
  


Current Time: Mon Dec 22 00:10:19 GMT 2014

Powered by FUDForum. Page generated in 0.02666 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software